Package: org.gradle.ide.cdt.model

## [Groovy] Class CprojectDescriptor

- org.gradle.ide.cdt.model.CprojectDescriptor

- The actual .cproject descriptor file.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `GNU_COMPILER_TOOL_ID_PREFIX` |
    `static String` | `GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX` |
    `static String` | `GNU_LINKER_TOOL_ID_PREFIX` |
    `static String` | `GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CprojectDescriptor ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `createId(String prefix)`
    `NodeList` | `getConfigurations()`
    `protected String` | `getDefaultResourceName()`
    `Node` | `getOrCreateIncludePathsOption(def compilerToolNode)`
    `Node` | `getOrCreateLibsOption(def linkerToolNode)`
    `NodeList` | `getRootCppCompilerTools()`
    `NodeList` | `getRootCppLinkerTools()`
    `NodeList` | `getRootToolChains()`
    `boolean` | `isGnuCompilerTool(Node node)`
    `boolean` | `isGnuLinkerTool(Node node)`
    `protected void` | `store(Node xml)`

- - ### Field Detail

    - #### public static final String GNU_COMPILER_TOOL_ID_PREFIX

    - #### public static final String GNU_COMPILER_TOOL_INCLUDE_PATHS_OPTION_PREFIX

    - #### public static final String GNU_LINKER_TOOL_ID_PREFIX

    - #### public static final String GNU_LINKER_TOOL_LIBS_PATHS_OPTION_PREFIX

  - ### Constructor Detail

    - #### CprojectDescriptor()

  - ### Method Detail

    - #### String createId(String prefix)

    - #### NodeList getConfigurations()

    - #### protected String getDefaultResourceName()

    - #### Node getOrCreateIncludePathsOption(def compilerToolNode)

    - #### Node getOrCreateLibsOption(def linkerToolNode)

    - #### NodeList getRootCppCompilerTools()

    - #### NodeList getRootCppLinkerTools()

    - #### NodeList getRootToolChains()

    - #### boolean isGnuCompilerTool(Node node)

    - #### boolean isGnuLinkerTool(Node node)

    - #### protected void store(Node xml)